using ImGuiNET;
using Raylib_cs;
using rlImGui_cs;

namespace Shoko;

class Program
{
    static void Main(string[] args)
    {
        Raylib.SetConfigFlags(ConfigFlags.FLAG_WINDOW_RESIZABLE | ConfigFlags.FLAG_WINDOW_MAXIMIZED);
        Raylib.InitWindow(1024, 768, "Shoko");

        rlImGui.BeginInitImGui();
        bool quit = MainUI.Load();
        rlImGui.EndInitImGui();

        if(args.Length > 0)
            foreach (var arg in args)
                MainUI.NewTab(arg);

        while(!Raylib.WindowShouldClose() && quit)
        {
            Raylib.BeginDrawing();
            Raylib.ClearBackground(Color.WHITE);
            rlImGui.Begin();

            quit = MainUI.Render();

            rlImGui.End();
            Raylib.EndDrawing();
        }
        rlImGui.Shutdown();
        Raylib.CloseWindow();
    }
}